org.apache.ignite.plugin.security

## Enum GridSecurityPermission

- java.lang.Object
- - java.lang.Enum<GridSecurityPermission>
  - - org.apache.ignite.plugin.security.GridSecurityPermission

All Implemented Interfaces:
  Serializable, Comparable<GridSecurityPermission>

    public enum GridSecurityPermission
    extends Enum<GridSecurityPermission>

Supported security permissions within grid. Permissions are specified on per-cache or per-task level.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADMIN_CACHE` Visor cache load permission.
`ADMIN_QUERY` Visor cache read (query) permission.
`ADMIN_VIEW` Common visor tasks permission.
`CACHE_PUT` Cache `put` permission.
`CACHE_READ` Cache `read` permission.
`CACHE_REMOVE` Cache `remove` permission.
`EVENTS_DISABLE` Events `disable` permission.
`EVENTS_ENABLE` Events `enable` permission.
`TASK_CANCEL` Task `cancel` permission.
`TASK_EXECUTE` Task `execute` permission.

### Method Summary

Methods
`static GridSecurityPermission` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static GridSecurityPermission` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridSecurityPermission[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CACHE_READ

    public static final GridSecurityPermission CACHE_READ

Cache `read` permission.

#### CACHE_PUT

    public static final GridSecurityPermission CACHE_PUT

Cache `put` permission.

#### CACHE_REMOVE

    public static final GridSecurityPermission CACHE_REMOVE

Cache `remove` permission.

#### TASK_EXECUTE

    public static final GridSecurityPermission TASK_EXECUTE

Task `execute` permission.

#### TASK_CANCEL

    public static final GridSecurityPermission TASK_CANCEL

Task `cancel` permission.

#### EVENTS_ENABLE

    public static final GridSecurityPermission EVENTS_ENABLE

Events `enable` permission.

#### EVENTS_DISABLE

    public static final GridSecurityPermission EVENTS_DISABLE

Events `disable` permission.

#### ADMIN_VIEW

    public static final GridSecurityPermission ADMIN_VIEW

Common visor tasks permission.

#### ADMIN_QUERY

    public static final GridSecurityPermission ADMIN_QUERY

Visor cache read (query) permission.

#### ADMIN_CACHE

    public static final GridSecurityPermission ADMIN_CACHE

Visor cache load permission.

### Method Detail

#### values

    public static GridSecurityPermission[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridSecurityPermission c : GridSecurityPermission.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridSecurityPermission valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridSecurityPermission fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015